{
  lib,
  config,
  ...
}: {
  programs.man.enable = true;

  programs.fish = lib.mkIf config.programs.fish.enable {
    interactiveShellInit = ''
      set -gx MANWIDTH 80
      set -gx MANPAGER 'nvim +NoNeckPain "+set nowrap" +Man!'
    '';
  };
}
